Subject: Re: cygwin x11 doesn't start after windows 10 upgrade
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jun 2020 12:38:17 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>>>>> Marco Atzeri via Cygwin <[email-masked]>:

> Hi Steinar,
> forgot to ask, there is stackdump  of Xwin ?

> usually the stack dump are under /usr/bin

>   ls /usr/bin | grep stack

> but they can also be on your home directory
> or in other places.

Nothing in /usr/bin but there is an lxterminal.exe.stackdump in my home
directory (I'm guessing that it isn't really helpful though. It probably
only crashed because there was no XWin to connect to).

I've attached the lxterminal stack trace to this message (this is from
one of the xlaunch attempts because lxterminal is what I start locally
with XWin).

> Re-looking at your Xwin.0.log
[snip!]
> on my log the next record is
>    winSetEngine - Multi Window or Rootless => ShadowGDI

> so it seems something is going wrong there

> from "man Xwin" I see two possible options for troubleshooting
> engine detection faults
[snip!]
> on my system both options work, can you check on yours ?

>    startxwin -- -engine 4

Here is the attempt:
sbang@ITEM-S63383:~$ startxwin -- -engine 4

Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 1.20.5.0
OS: CYGWIN_NT-10.0-18363 ITEM-S63383 3.1.5-340.x86_64 2020-06-01 08:59 UTC x86_64
OS: Windows 10  [Windows NT 10.0 build 18363] (Win64)
Package: version 1.20.5-3 built 2019-09-06

XWin was started with the following command line:

/usr/bin/XWin :0 -multiwindow -engine 4 -auth
 /cygdrive/d/Profiles/sbang/.serverauth.747

(II) xorg.conf is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
LoadPreferences: /cygdrive/d/Profiles/sbang/.XWinrc not found
LoadPreferences: Loading /etc/X11/system.XWinrc
LoadPreferences: Done parsing the configuration file...
winDetectSupportedEngines - RemoteSession: no
winDetectSupportedEngines - DirectDraw4 installed, allowing ShadowDDNL
winDetectSupportedEngines - Returning, supported engines 00000005
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error
sbang@ITEM-S63383:~$

Thanks!

Stack trace:
Frame        Function    Args
000FFFFC428  0018005CADE (0018023E2ED, 0018021FC46, 000FFFFC428, 000FFFFB320)
000FFFFC428  001800463E9 (00000000000, 00000000000, 00000000000, 003F8AF3FD0)
000FFFFC428  00180046422 (0018023E3A9, 000FFFFC2D8, 000FFFFC428, 00000000000)
000FFFFC428  001800A97DF (00000000000, 00000000000, 00000000000, 00000000000)
000FFFFC428  001800A9A2D (000FFFFC440, 00000000000, 00000000000, 00000000000)
00000000000  001800AAC94 (000FFFFC440, 00000000000, 00000000000, 00000000000)
End of stack trace
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple